.carousel-videos {
  gap: 24px;
  position: relative;
  overflow: hidden;
  display: flex;
  flex-direction: column;
}

.carousel-videos[data-embed-loaded="false"]:not(.placeholder) {
  aspect-ratio: 16 / 9;
}

.carousel-videos.video-placeholder {
  width: 100%;
  aspect-ratio: 16 / 9;
  position: relative;
}

.carousel-videos .video-placeholder {
  position: relative;
  width: 100%;
  height: 100%;
}

.carousel-videos .video-placeholder>div {
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  inset: 0;
}

.carousel-videos[data-embed-loaded="true"] .video-placeholder,
.carousel-videos[data-embed-loaded="false"] .video-placeholder+* {
  visibility: hidden;
  height: 0;
  width: 0;
}

.carousel-videos .video-placeholder picture img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.carousel-videos .video-placeholder-play button {
  position: relative;
  display: block;
  width: 44px;
  height: 44px;
  border-radius: 50%;
  outline: 2px solid;
  padding: 0;
}

.carousel-videos .video-placeholder-play button::before {
  content: "";
  display: block;
  box-sizing: border-box;
  position: absolute;
  width: 0;
  height: 24px;
  border-top: 12px solid transparent;
  border-bottom: 12px solid transparent;
  border-left: 18px solid;
  top: 50%;
  left: calc(50% + 2px);
  transform: translate(-50%, -50%);
}

.carousel-videos .indicator-container {
  display: flex;
  justify-content: center;
  gap: 8px;
}

.carousel-videos .indicator-container .indicator-item {
  height: 8px;
  width: 8px;
  border-radius: 50%;
  background-color: var(--color-gray-11);
  padding: 0;
  cursor: pointer;
}

.carousel-videos .indicator-container .indicator-item.active-indicator {
  height: 8px;
  width: 20px;
  border-radius: 8px;
  background-color: var(--color-primary);
  padding: 0;
  cursor: pointer;
}

.carousel-videos .video-carousel-item {
  flex: 0 0 calc((100% - 16px) / 2);
  max-width: 900px;
  width: 100%;
  scroll-snap-align: start;
  /* stylelint-disable-next-line value-no-vendor-prefix */
  cursor: -webkit-grab;
  cursor: grab;
}

.carousel-items-wrapper {
  display: flex;
  transition: transform 0.5s ease-in-out;
  gap: 16px;
  scrollbar-width: none;
  overflow: scroll clip;
  width: calc(100% - 64px);
  margin: 0 auto;
}

.carousel-videos video {
  max-width: 100%;
  width: 100%;
  height: 100%;
}

.partner-franchise .login-button-container .button {
    position: fixed;
    right: 4px;
    bottom: 20px;
    z-index: 90;
    background-color: var(--color-white);
    color: var(--color-primary);
    border: 1px solid var(--color-primary);
    text-transform: uppercase;
    border-radius: 12px;
    transition: background-color 0.3s;
    height: 44px;
}

@media (width <=768px) {
  .carousel-videos .video-carousel-item {
    flex: 0 0 100%;
  }

.partner-franchise .login-button-container .button {
    position: fixed;
    right: 4px;
    bottom: 72px;
    z-index: 90;
    background-color: var(--color-white);
    color: var(--color-primary);
    border: 1px solid var(--color-primary);
    text-transform: uppercase;
    border-radius: 12px;
    transition: background-color 0.3s;
    height: 44px;
  }
}

.carousel-videos .prev-arrow,
.carousel-videos .next-arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    border: none;
    height: 32px;
    width: 32px;
    padding: 0;
    cursor: pointer;
    z-index: 1;
    background: url("/icons/arrow-right-sharp.svg") no-repeat center;
}

.carousel-videos .prev-arrow {
    left: 0;
    transform: rotate(180deg);
    margin-top: -16px;
}

.carousel-videos .next-arrow {
    right: 0;
}

.carousel-videos .prev-arrow.disabled,
.carousel-videos .next-arrow.disabled {
    background-image: url("/icons/arrow-right-sharp-gray.svg");
}
